## com.thaiopensource.util
Interface PropertyMap

All Known Implementing Classes:
  SinglePropertyMap

    public interface PropertyMap

Field Summary
`static PropertyMap` `EMPTY`

Method Summary
`boolean` `contains(PropertyId<?> pid)`

`

`<T> T`

`

`get(PropertyId<T> pid)`

`PropertyId<?>` `getKey(int i)`
`int` `size()`

Field Detail

### EMPTY

    static final PropertyMap EMPTY

Method Detail

### get

    <T> T get(PropertyId<T> pid)

### contains

    boolean contains(PropertyId<?> pid)

### size

    int size()

### getKey

    PropertyId<?> getKey(int i)